Passer au contenu principal
POST
/
monitor
curl --request POST \ --url https://api.firecrawl.dev/v2/monitor \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "goal": "Notify me when docs pages add, remove, or materially change API behavior", "name": "Docs monitor", "schedule": { "cron": "7-59/15 * * * *", "timezone": "UTC" }, "targets": [ { "crawlOptions": { "limit": 100 }, "type": "crawl", "url": "https://example.com/docs" } ], "webhook": { "events": [ "monitor.page", "monitor.check.completed" ], "url": "https://example.com/webhooks/firecrawl" } } '
{
  "data": {
    "createdAt": "2023-11-07T05:31:56Z",
    "currentCheckId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "estimatedCreditsPerMonth": 123,
    "goal": "<string>",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "judgeEnabled": true,
    "lastCheckSummary": {
      "changed": 123,
      "error": 123,
      "new": 123,
      "removed": 123,
      "same": 123,
      "totalPages": 123
    },
    "lastRunAt": "2023-11-07T05:31:56Z",
    "name": "<string>",
    "nextRunAt": "2023-11-07T05:31:56Z",
    "notification": {
      "email": {
        "enabled": false,
        "includeDiffs": false,
        "recipients": [
          "jsmith@example.com"
        ]
      }
    },
    "retentionDays": 123,
    "schedule": {
      "cron": "<string>",
      "timezone": "<string>"
    },
    "targets": [
      {
        "type": "scrape",
        "urls": [
          "<string>"
        ],
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "scrapeOptions": {
          "actions": [
            {
              "milliseconds": 2,
              "type": "wait"
            }
          ],
          "blockAds": true,
          "excludeTags": [
            "<string>"
          ],
          "formats": [
            "markdown"
          ],
          "headers": {},
          "includeTags": [
            "<string>"
          ],
          "location": {
            "country": "US",
            "languages": [
              "en-US"
            ]
          },
          "lockdown": false,
          "maxAge": 172800000,
          "minAge": 123,
          "mobile": false,
          "onlyCleanContent": false,
          "onlyMainContent": true,
          "parsers": [
            "pdf"
          ],
          "profile": {
            "name": "<string>",
            "saveChanges": true
          },
          "proxy": "auto",
          "redactPII": false,
          "removeBase64Images": true,
          "skipTlsVerification": true,
          "storeInCache": true,
          "threatProtection": {
            "blacklist": [
              "<string>"
            ],
            "blockedTlds": [
              "<string>"
            ],
            "riskScoreThreshold": 75,
            "whitelist": [
              "<string>"
            ]
          },
          "timeout": 60000,
          "waitFor": 0
        }
      }
    ],
    "updatedAt": "2023-11-07T05:31:56Z",
    "webhook": {
      "url": "<string>",
      "events": [],
      "headers": {},
      "metadata": {}
    }
  },
  "success": true
}

Autorisations

Authorization
string
header
requis

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Corps

application/json
name
string
requis
Maximum string length: 256
schedule
object
requis

Planification des vérifications du monitor. Fournissez soit cron, soit text.

targets
(Scrape target · object | Crawl target · object | Search target · object)[]
requis
Required array length: 1 - 50 elements
goal
string | null

Objectif en langage naturel utilisé pour évaluer si les pages modifiées sont pertinentes. S’il est fourni et que judgeEnabled est omis, l’évaluation est activée automatiquement. Obligatoire (non vide) lorsqu’une cible est de type search, sauf si judgeEnabled est false.

Maximum string length: 2000
judgeEnabled
boolean

Indique si les pages modifiées doivent être évaluées par rapport à goal. Nécessite un goal non vide pour s’exécuter.

notification
object
retentionDays
integer
défaut:30
Plage requise: 1 <= x <= 365
webhook
object

Destination du webhook pour les événements de page du monitor et de fin de vérification.

Réponse

Monitor créé

data
object
success
boolean